import request from '@/utils/request'

//机具类型管理
export function getMaTypeList(query) {
  return request({
      url: '/material/ma_type/getMaTypeTreeSelect',
      method: 'get',
      params: query,
  })
}

//机具类型管理列表信息
export function getListByMaType(query) {
  return request({
      url: '/material/ma_type/list',
      method: 'get',
      params: query,
  })
}

//查看机具类型管理列表详细信息
export function getMaType(id) {
  return request({
      url: '/material/ma_type/'+ id,
      method: 'get',
  })
}
// 仓库信息下拉框-
export function queryKeeperDataApi(query) {
  return request({
    url: '/material/wh_house_info/listNoPage',
    method: 'get',
    params: query
  })
}
// 施工类型下拉框-
export function queryKeeperProApi(query) {
  return request({
    url: '/material/ma_type/selectMaTypeListByHouseId',
    method: 'get',
    params: query
  })
}

// 物资类型下拉框-
export function queryKeeperMatApi(query) {
  return request({
    url: '/material/ma_type/selectMaTypeListByTypeId',
    method: 'get',
    params: query
  })
}

// 物资名称下拉框-
export function queryKeeperNameApi(query) {
  return request({
    url: '/material/ma_type/selectMaTypeListByTypeId',
    method: 'get',
    params: query
  })
}

// // 导出
// export function exportMaterial(query) {
//   return request({
//       url: '/material/ma_type/export',
//       method: 'post',
//       responseType: 'blob',
//       params: query
//   })
// }

// 物资类型管理--删除
export function delMaType(typeId) {
  return request({
      url: '/material/ma_type/' + typeId,
      method: 'delete',
  })
}

// 物资类型管理--修改
export function updateMaType(data) {
  return request({
      url: '/material/ma_type',
      method: 'put',
      data: data,
  })
}

// 物资类型管理--新增
export function addMaType(data) {
  return request({
      url: '/material/ma_type',
      method: 'post',
      data: data,
  })
}

// 工程项目-列表
export function getProjectList(query) {
  return request({
    url: '/material/base/bmProjectInfo/projectInfoAll',
    method: 'get',
    params: query
  })
}

